Wallets, tokens & networks

Prepare Paxos Deposit Tx

Prepares the Paxos vault deposit transaction (optionally with permit signature) via the Amplify SDK.

POSThttps://api.toku.com/tga/prepare-paxos-deposit-tx

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/prepare-paxos-deposit-tx' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "toAddress": "string",
  "depositAsset": "string",
  "depositAmount": "string",
  "chainId": 0,
  "signature": "string",
  "deadline": "string"
}'
200 response
{
  "abi": [],
  "address": "string",
  "functionName": "string",
  "args": [],
  "chainId": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

toAddressstringrequired

Allowed: matches ^0x[a-fA-F0-9]{40}$

depositAssetstringrequired

Allowed: matches ^0x[a-fA-F0-9]{40}$

depositAmountstringrequired

NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it

Allowed: at least 1 characters

chainIdintegerrequired

NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it

signaturestring
deadlinestring

Response

200Successful response
abiany[]required
addressstringrequired
functionNamestringrequired
argsany[]required
chainIdnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits